filewrite error when writing
Status: Closed Start date: August 01, 2021
Priority: Minor Due date:

Assignee: % Done: 0%

Category: Estimated time: 0.00 hour

Target version:

Affects version: 4.0.4

Description

Sistema operativo: Debian GNU/Linux 11 Versién de KDE Plasma: 5.20.5 Versién de KDE Frameworks: 5.78.0 Versién de Qt: 5.15.2
Versién del kernel: 5.10.0-8-amd64 Tipo de OS: 64 bits

Audacious 4.0.5
as soon as | start recording, it gives me the following error (choosing custom folder):

"open file:///media/cristianed/HOME/Aimp—-Grabaciones/stream?type=.mp3;&1599200025971.mp3: Invalid
argument"

opening audacius from the console and choosing default folder, following error:

ERROR mp3.cc:233 [mp3_close]: write error
ERROR mp3.cc:239 [mp3_close]: seek error

at the end of the recording process, it appears:

ERROR plugin.cc:159 [open_modules_for_path]: Failed to read folder /home/cristianed/.ladspa: No existe el fichero o el directorio

History

#1 - August 02, 2021 19:00 - Cristian Edgardo

solved:

1- installing: Idap-utils (2.4.57+dfsg-3) and slapd (2.4.57+dfsg-3)

2- in the menu of AUDACIOUS: '/settings '/'Audio '/' enable audio stream recording witch Filewriter Plugin'plugin'/'settings ', to label ' label of the
original file '.

#2 - August 03, 2021 01:34 - Cristian Edgardo

| discovered that it has to support the name as it comes with the streaming, then | discovered that | cannot change the metadata into the list of
reproduction.

#3 - August 05, 2021 21:17 - Michael Schwendt

Cristian Edgardo wrote:

solved:
1- installing: Idap-utils (2.4.57+dfsg-3) and slapd (2.4.57+dfsg-3)

You are mistaken. LDAP tools and daemon are completely unrelated to $HOME/.ladspa, which belongs to LADSPA = the
Linux Audio Developer's Simple Plugin API.

July 05, 2025 1/2




#4 - November 13, 2021 03:00 - John Lindgren
- Status changed from New to Closed

- Tracker changed from Bug to Support

I think this error is to be expected if:

- You are playing from a URL that contains a '?' character

- You have selected FileWriter's (non-default) "Original file name" setting
- You have selected a target folder on a FAT or NTFS volume

| don't think there's a bug here. We can't make every combination of options work.
